/*
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

For more info, please contact legal@gi4i.co.uk
*/

jQuery(document).ready(function() {
	
	jQuery("#Update_Cuotas").click(function() {
	
	jQuery.getJSON(jQuery("input#dmrights_wp_js_server").val() + "/Services/JSonCatalogCuotaData?dmrights_catalog_code=" + jQuery("input#dmrights_catalog_code").val() + "&dmrights_api_key=" + jQuery("input#dmrights_api_key").val() + "&callback=?", function(result) {
		var errorNumber = 0;
		var dmrights_successful = null;
		var errorDescription = null;

		var dmrights_catalog_code = null;
		var dmrights_api_key = null;

		var dmr_cuota_max = null;
		var dmr_cuota_used = null;
		var dmr_cuota_available = null;
		
		jQuery.each(result, function(index, d) {

			if (d.successful != null)
				dmrights_successful = d.successful;

			if (d.errorNumber != null)
				errorNumber = d.errorNumber;

			if (d.errorDescription != null)
				errorDescription = d.errorDescription;

			if (d.successful != null)
				dmrights_successful = d.successful;

			if (d.dmr_cuota_max != null)
				dmr_cuota_max = d.dmr_cuota_max;

			if (d.dmr_cuota_used != null)
				dmr_cuota_used = d.dmr_cuota_used;

			if (d.dmr_cuota_available != null)
				dmr_cuota_available = d.dmr_cuota_available;

		});
			
		if (errorNumber == 1 || errorNumber == 2 || errorNumber == 3)
			{
				jQuery("#resultAPI").html(errorDescription);
				jQuery("#resultAPI").fadeIn(3000);						
					
				setTimeout(function()
				{
					jQuery("#resultAPI").fadeOut(5000);
					},1000);					
				} else {
					jQuery("input#dmrights_cuota_max").val(dmr_cuota_max);
					jQuery("#dmrights_cuota_used").val(dmr_cuota_used);
					jQuery("#dmrights_cuota_available").val(dmr_cuota_available);
				}
				
		});
	});
});